aMule Forum

English => Distro-Specific Packages => Packages for development versions => Topic started by: OldFrog on November 11, 2007, 03:29:23 PM

Title: CVS Package for Mandriva 2008.0
Post by: OldFrog on November 11, 2007, 03:29:23 PM
Build against wxWidget version is 2.8.7
----=====================----

Please find related packages here (http://www.oldfrog.info/Linux/RPMs/)


These aMule packages are linked statically against cryptopp5.5.2.

aMule-CVS-20080123-mdv8.i586.rpm (http://www.oldfrog.info/Linux/aMule/aMule-CVS-20080123-mdv8.i586.rpm)
aMule-CVS-debug-20080123-mdv8.i586.rpm (http://www.oldfrog.info/Linux/aMule/aMule-CVS-debug-20080123-mdv8.i586.rpm)

and debug packages (Beware, the second one is 60MB !)

aMule-CVS-20080123-mdv8_DB.i586.rpm (http://www.oldfrog.info/Linux/aMule/aMule-CVS-20080123-mdv8_DB.i586.rpm)
aMule-CVS-debug-20080123-mdv8_DB.i586.rpm (http://www.oldfrog.info/Linux/aMule/aMule-CVS-debug-20080123-mdv8_DB.i586.rpm)


built against wxGtk 2.8.7.
Title: Re: CVS Package for Mandriva 2008.0
Post by: judas on November 12, 2007, 01:16:19 PM
thaks for rpm

i have some bug with this cvs  :o
When i change UDP and TCP, at next amule start they change to default value  ???
I have same bug with password for external connections
I can't launch amule in cmdline, amuled -f work, but amulecmd lock with message " creation du client en cours ..."
i don't know if these bugs are attributable to mandriva 2008.0 or cvs, the last cvs for madriva 2007.1 works without bugs with same computer
Title: Re: CVS Package for Mandriva 2008.0
Post by: wuischke on November 12, 2007, 05:29:49 PM
What version of wxgtk do you use? 2.8.5?
Title: Re: CVS Package for Mandriva 2008.0
Post by: judas on November 12, 2007, 07:04:51 PM
hi
yes i use wx-gtk2-unicode 2.85 provide by old frog
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on November 12, 2007, 09:02:16 PM
thaks for rpm

i have some bug with this cvs  :o
When i change UDP and TCP, at next amule start they change to default value  ???
I have same bug with password for external connections
I can't launch amule in cmdline, amuled -f work, but amulecmd lock with message " creation du client en cours ..."
i don't know if these bugs are attributable to mandriva 2008.0 or cvs, the last cvs for madriva 2007.1 works without bugs with same computer

I have the same problem too. There is already a thread about this issue. Sorry, no time to find out where it is.
I just have no time to test that much for now, and didn't try to find out what is exactly the reason for this issue.
I just wanted to setup the most recent state of the art of the team, a preview for 2.2.0.
Remember,  it's a development version. And there are issues in wxGtk too.
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on November 12, 2007, 09:15:44 PM
Got it (http://forum.amule.org/index.php?topic=13398.0). It seems like it's a wxGtk 2.8.5 problem.
I downloaded wxGTk 2.8.6 and I'll provide updated RPMs later tonight.
Thanks Wuischke for pointing out the version ;).
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on November 12, 2007, 10:49:13 PM
Here we are !
CVS package built against wxGtk 2.8.6 for Mandriva 2008.0 here (http://www.oldfrog.info/Linux/RPMs/).

The RPM package for aMule is aMule-CVS-20071112-mdv8.i586.rpm (http://www.oldfrog.info/Linux/aMule/aMule-CVS-20071112-mdv8.i586.rpm).

All these packages have been generated on Mandriva 2008.0
Title: Re: CVS Package for Mandriva 2008.0
Post by: judas on November 13, 2007, 09:44:02 AM
hi
thanks for you're rapid reactivity oldfrog ;)
after uninstall wxgtk 2.8.5 and amule cvs and instal new cvs and wxgtk 2.8.6.
bug for TCP AND UDP is cleared, but i have always bug with password for External Connections.
i write a password with 5 letters, when i restart amule the password have more 20 ** in preference
i will wait next cvs
Title: Re: CVS Package for Mandriva 2008.0
Post by: wuischke on November 13, 2007, 03:11:49 PM
This is not a bug, that's intented behaviour. (At least I think so.) This way no one knows how long your password is when only looking at the preferences.
Title: Re: CVS Package for Mandriva 2008.0
Post by: judas on November 13, 2007, 05:10:42 PM
This is not a bug, that's intented behaviour. (At least I think so.) This way no one knows how long your password is when only looking at the preferences.

sorry  for me it's not intented behaviour, when i enter the password, five stars replace five letters.
it's when i reboot amule, i see more twenty stars and amulecmd  refuse to start
Title: Re: CVS Package for Mandriva 2008.0
Post by: wuischke on November 13, 2007, 05:34:15 PM
It's normal after a reboot. Passwords are saved as a MD5 hash. It is pretty hard to get the password when you only have the hash and aMule doesn't even know that your password consists of 5 letters, it only compares the hash of the password you type in with the stored hash of the original password. If they are the same, then the password is the same as well.
Title: Re: CVS Package for Mandriva 2008.0
Post by: judas on December 06, 2007, 11:31:18 AM
hi
after any test i notice when i want change tcp port or IP in external connexion
after amule reboot the value become again to standar values
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on December 06, 2007, 09:05:13 PM
hi
after any test i notice when i want change tcp port or IP in external connexion
after amule reboot the value become again to standar values

Weird, I didn't notice that, yet I use to change them every month ???
Maybe the question sounds stupid, but is the amule.conf file by the amule user ? I messed that copying an old .aMule directory to another user's home and forgetting chmod
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on December 06, 2007, 09:10:13 PM
Give a try to this one (http://www.oldfrog.info/Linux/aMule/aMule-CVS-20071206-mdv8.i586.rpm) (Still built against wxWidget Gtk 2.8.6)
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on December 07, 2007, 10:05:31 AM
Latest stable wxWidget version is 2.8.7
----=====================----

Please find related packages here (http://www.oldfrog.info/Linux/RPMs/)

And today's amule snaphot (http://www.oldfrog.info/Linux/aMule/aMule-CVS-20071207-mdv8.i586.rpm) built against wxGtk 2.8.7.
Title: Re: CVS Package for Mandriva 2008.0
Post by: Festor on December 07, 2007, 11:41:11 PM
Hi OldFrog

Thank you for your work, but you could ask a favor?

I am doing a mini-manual in Spanish (http://forum.amule.org/index.php?topic=13701.0) to download the aMule 2.20 CVS to all distributions of  GNU/Linux. And as I see you frequently update your packages...

You could not sort packages at the main post? As this topic: http://forum.amule.org/index.php?topic=12458.0
Title: Re: CVS Package for Mandriva 2008.0
Post by: judas on December 09, 2007, 07:57:54 PM
hi
after any test i notice when i want change tcp port or IP in external connexion
after amule reboot the value become again to standar values


Weird, I didn't notice that, yet I use to change them every month ???
Maybe the question sounds stupid, but is the amule.conf file by the amule user ? I messed that copying an old .aMule directory to another user's home and forgetting chmod

I check chmod with amule directory and amule.conf, no problem here
I will try new wxgtk and last amule cvs rpm
for info i use amule with ICEwm
thanks for your help
Title: Re: CVS Package for Mandriva 2008.0
Post by: judas on December 09, 2007, 08:18:36 PM
Hi OldFrog

Thank you for your work, but you could ask a favor?

I am doing a mini-manual in Spanish (http://forum.amule.org/index.php?topic=13701.0) to download the aMule 2.20 CVS to all distributions of  GNU/Linux. And as I see you frequently update your packages...

You could not sort packages at the main post? As this topic: http://forum.amule.org/index.php?topic=12458.0

good job festor, but i think one post by distributions is  better solution
Title: Re: CVS Package for Mandriva 2008.0
Post by: judas on December 13, 2007, 04:31:35 PM
I resolve my problem to uninstalling amule, erasing /home/.amule folder and  installing the last mandriva amule cvs rpm.
now all work fine  ;D
thanks for your help  ;)
Title: Re: CVS Package for Mandriva 2008.0
Post by: Tsiolkovsky on January 01, 2008, 01:31:33 PM
Would it be possible to also get an RPM with debug symbols so that we could better help the developers with crash backtraces? Thanks in advance.
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on January 01, 2008, 08:39:01 PM
Would it be possible to also get an RPM with debug symbols so that we could better help the developers with crash backtraces? Thanks in advance.

Actually I have those, but didn't think they could be tested by other people. Please find them in the first post (updated) here (http://forum.amule.org/index.php?topic=13709.msg72527#msg72527)



Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on January 20, 2008, 07:10:41 PM
New version as of January 20th 2008. See first post for links.


Build against wxWidget version is 2.8.7
----=====================----

Please find related packages here (http://www.oldfrog.info/Linux/RPMs/)

[update, snapshot  from Jan 20th 2008 with Debug infos]

aMule-CVS-20080120-mdv8.i586.rpm (http://www.oldfrog.info/Linux/aMule/aMule-CVS-20080120-mdv8.i586.rpm)
aMule-CVS-debug-20080120-mdv8.i586.rpm (http://www.oldfrog.info/Linux/aMule/aMule-CVS-debug-20080120-mdv8.i586.rpm)

built against wxGtk 2.8.7.
Title: Re: CVS Package for Mandriva 2008.0
Post by: Tsiolkovsky on January 22, 2008, 11:16:46 AM
There is a dependancy missing with the latest package. It should have libcryptopp6 as dependancy.
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on January 22, 2008, 10:08:33 PM
As for now use the standard packages (urpmi)
libcryptopp6-5.5.1-2mdv2008.0
libcryptopp-progs-5.5.1-2mdv2008.0
libcryptopp6-devel-5.5.1-2mdv2008.0 if development needed.

Starting tomorriw, try this ones
Please use these (http://www.oldfrog.info/Linux/RPMs/)

I don't mean I build the perfect RPMs.
Btw, there are dependencies missing too with gtk2, libgd, etc ...
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on January 23, 2008, 07:55:43 PM
Build against wxWidget version is 2.8.7
----=====================----

Please find related packages here (http://www.oldfrog.info/Linux/RPMs/)
These ones are linked staticaly against cryptopp5.5.2.

aMule-CVS-20080123-mdv8.i586.rpm (http://www.oldfrog.info/Linux/aMule/aMule-CVS-20080123-mdv8.i586.rpm)
aMule-CVS-debug-20080123-mdv8.i586.rpm (http://www.oldfrog.info/Linux/aMule/aMule-CVS-debug-20080123-mdv8.i586.rpm)

and debug packages (Beware, the second one is 60MB !)

aMule-CVS-20080123-mdv8_DB.i586.rpm (http://www.oldfrog.info/Linux/aMule/aMule-CVS-20080123-mdv8_DB.i586.rpm)
aMule-CVS-debug-20080123-mdv8_DB.i586.rpm (http://www.oldfrog.info/Linux/aMule/aMule-CVS-debug-20080123-mdv8_DB.i586.rpm)


built against wxGtk 2.8.7.
Title: Re: CVS Package for Mandriva 2008.0
Post by: Tsiolkovsky on January 24, 2008, 12:01:35 AM
Thanks again for all your time and the updated packages. You rock. And don't worry about not perfect packages. I was just mentioning the dependency because I noticed, just in case. If it is known just ignore me.
Title: Re: CVS Package for Mandriva 2008.0
Post by: masster on March 28, 2008, 04:46:32 PM
ok... so I installed your last aMule Mandriva 2008 distro without any errors.
but to my disapointment (I know might sound silly) there was no aMule icon in Applications/Internet menu :)
moving on... I made my icon in panel for /usr/local/bin/amule.
clicking on it... nothing. nada. zip.
ok, moving to command line. and I get this error:

amule: error  while loading shared libraries: libgeoIP.so.1: cannot open shared object file: No such file or directory

now what? please.
I am using wxgtk2.8
Title: Re: CVS Package for Mandriva 2008.0
Post by: Tsiolkovsky on April 15, 2008, 07:18:40 PM
@masster:
The icons are shown after you logout and log back in. As for the missing libgeoIP.so.1 just install the libgeoip1 package. There will maybe be even more errors about missing libraries when you try to start amule, just install any missing packages and you should be fine. This is just a small problem with the amule package which doesn't have information about needed dependencies and so they don't get installed automatically.

@OldFrog:
I plan to upgrade to Mandriva Linux 2008 Spring soon. And this time I will switch to the 64-bit edition. Are there packages for x86-64?
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on April 15, 2008, 09:53:01 PM
Hi guys, thanks for the interest in my packages.
Actually, I plan too to move to Mand 2008 Spring, but still on the same rig.
No plan yet to afford a brand new 64b architecture (Not that I wouldn't like, but it's not worth the expense yet because I'd need to change almosr everything : AGP graphic card, IDE interfaces, etc). As soon as my faithful A7N8X is up and running ...

masster, in Mandriva 2008, the menu has changed and it uses the old desktop files, look at "Internet/Plus" menu, you'll find here everything from the package.
About the dependancies we know about these. Just think this is aMule-CVS, an ongoing work, and the libraries may change (Happened a few moment ago with crytpopp b.e.).
Except for wxGtk-2.8.7, I try to use only standard libraries available on main, updates and plf repositories.

I'll try to update the dependencies in the RPM checking when aMule 2.0 is out. As for now, I just let the PC do the work through a script. Hey, I got a life too !
Title: Re: CVS Package for Mandriva 2008.0
Post by: Tsiolkovsky on April 16, 2008, 12:03:16 AM
OldFrog, would it work if I tried to run your script on my 64-bit machine after I upgrade? If so I can try to make the 64-bit packages.
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on April 16, 2008, 09:39:11 PM
OldFrog, would it work if I tried to run your script on my 64-bit machine after I upgrade? If so I can try to make the 64-bit packages.

Of course it should, but just think it will fail several time until you ionstall all the needed devel packages. I must say I install my new boxes as developement ones, and I just need a couple pcakages (as libcryptopp-devel, libgeoip-devel).

Actually, my spec file is here (http://www.oldfrog.info/Linux/aMule/aMule-CVS.spec)

Just store it somewhere, go into the same directory and run the following script:

Code: [Select]
#!/bin/bash

RACINE=/home/Fourbi/aMule/cvs
DIRBUILD=/usr/src/rpm/SOURCES
DIRRPM=/usr/src/rpm/RPMS/i586
echo [$1]
if [ "$1" == "" ];then
export  datum=`date +%Y''%m''%d`
else
export  datum=$1
fi

who='whoami'
  cd $RACINE

  if [ -r "$DIRBUILD/aMule-CVS-$datum.tar.bz2" ];then
    echo "File exists - will not download the file again^^"
  else
    if [ "/usr/bin/wget" ];then
      echo "Using wget for getting the tar file"
      wget http://www.hirnriss.net/files/cvs/aMule-CVS-$datum.tar.bz2
      mv $RACINE/aMule-CVS-$datum.tar.bz2 $DIRBUILD
    fi
  fi

  if [ -r "$DIRBUILD/aMule-CVS-$datum.tar.bz2" ];then
    echo "Building RPM"
    rpmbuild -bb --clean $RACINE/aMule-CVS.spec
    if [ -r $DIRRPM/aMule-CVS-$datum-mdv8.i586.rpm ];then
    echo "installing RPM"
         urpme aMule-CVS
         urpmi $DIRRPM/aMule-CVS-$datum-mdv8.i586.rpm

    fi
  fi

This script downloads the current tarball, builds it, then installs it replacing the previous one. At the end, at a time I added tghe ftp to upload somewhere, but I prefer not to do it anymore, due to then DADVSI law in France,

Just adapt the three first lines to your needs

RACINE is the place where the spec file is stored
DIRBUILD is the place where you'll store your sources (Mine is the default one, don't vha,ge it u,less you know what you do)
DIRRPM is the place where the rpm will be stored. Mine sis the default one for 32bits, I don't know what it should be for 64b, something like  /usr/src/rpm/RPMS/XXXX

Hope this helps.
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on April 17, 2008, 06:53:24 PM
Just one more, I use convert  from Imagemgic to create the icons in the menu from the desktop icons in the tarball.
Title: Re: CVS Package for Mandriva 2008.0
Post by: Breiz29 on April 28, 2008, 11:25:45 PM
With script with Olfrog I created the "rpm"! It are downloadable on my web site (http://www.chez-breizh.fr/linux-windows/linux/amule/#windowslinux)
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on April 29, 2008, 01:35:52 AM
With script with Olfrog I created the "rpm"! It are downloadable on my web site (http://www.chez-breizh.fr/linux-windows/linux/amule/#windowslinux)

With only one remark : I'm not the first to compile wxGTK-2.8.xx, but to provide Rpms of wxGTK-2.8.7 for Mandriva ;) and menus for Mandriva (Debian Mode as in Mdv2006, or Xdg mode  as in Mdv2007)
Title: Re: CVS Package for Mandriva 2008.0
Post by: Tsiolkovsky on April 30, 2008, 12:51:20 PM
Hi,

I've also managed to create 64-bit  aMule packages for Mandriva Linux 2008 Spring for AMD64. I don't have a place to upload them but if anyone needs them here are the ED2K links:

Code: [Select]
ed2k://|file|aMule-CVS-20080430-1mdv2008.1.x86_64.rpm|7812576|0EC58EC24DD536D2A0684D829A059B40|/|h=J3HMO7U4JN6V6HZCDX4NWOR5B27RYWPB|/
Code: [Select]
ed2k://|file|aMule-CVS-debug-20080430-1mdv2008.1.x86_64.rpm|31376538|29760FB194457CA5A606B9D3DB16160B|/|h=3QL7BWNBMZAE34NSGSC5HFGIZZW2LYMV|/
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on May 01, 2008, 12:32:23 AM
If someone wants to create RPMs for AMD64 of wxtk-2.8.7, please feel free to use this spec file (http://www.oldfrog.info/Linux/divers/wxGTK-287.spec).
It creates the three rpms
wx-gtk2-unicode-debug-2.8-7.i586.rpm
wx-gtk2-unicode-2.8-7.i586.rpm
wx-gtk2-unicode-devel-2.8-7.i586.rpm

It works from wxGtk-2.8.7.tar.gz
I added some config log to check eventual errors, as this is really a long compilation !

For other versions, you just need to update the following
%define ver  2.8
%define ver2 2.8
%define rel  7 

The type pf RPMs will be based on your own settings for rpmbuild
Title: Re: CVS Package for Mandriva 2008.0
Post by: Tsiolkovsky on May 22, 2008, 12:41:27 AM
New 64-bit builds of aMule 2.2.0 CVS for Mandriva Linux 2008 Spring available:

Code: [Select]
ed2k://|file|aMule-CVS-20080521-1mdv2008.1.x86_64.rpm|7921812|8DBE0A1EE0D91ECC0D9E6BF373183726|/|sources,84.52.174.5:50010|/
Code: [Select]
ed2k://|file|aMule-CVS-debug-20080521-1mdv2008.1.x86_64.rpm|32644382|05117A502FB0ABC7A623A47EFECACA2D|/|sources,84.52.174.5:50010|/
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on May 22, 2008, 08:24:40 PM
New 64-bit builds of aMule 2.2.0 CVS for Mandriva Linux 2008 Spring available:

Code: [Select]
ed2k://|file|aMule-CVS-20080521-1mdv2008.1.x86_64.rpm|7921812|8DBE0A1EE0D91ECC0D9E6BF373183726|/|sources,84.52.174.5:50010|/
Code: [Select]
ed2k://|file|aMule-CVS-debug-20080521-1mdv2008.1.x86_64.rpm|32644382|05117A502FB0ABC7A623A47EFECACA2D|/|sources,84.52.174.5:50010|/

Great !
Actually, if you have not enabled the --debug option in the configure step of the .spec file, no need to provide the debug rpm, it contains only useless symbols. But when the debug option is activated, the rpm is awfully large (> 20M !!!)
I'll update the spec file so as to keep only the xfg menus and normalization for mandriva packages (zipped man pages for instance)
Title: Re: CVS Package for Mandriva 2008.0
Post by: Breiz29 on May 23, 2008, 10:59:22 PM
I will put online the new "rpm" I will appoint aMule-2.2.1-sa-mdv8.i586.rpm    ;)

Sorry for machine translation.
Title: Re: CVS Package for Mandriva 2008.0
Post by: Tsiolkovsky on June 07, 2008, 01:56:44 PM
Time for a new build (June 7 2008) of 64-bit aMule 2.2.0 SVN packages for Mandriva 2008.1 Spring
Code: [Select]
ed2k://|file|aMule-CVS-20080607-1mdv2008.1.x86_64.rpm|7970057|33E005CD0E0E4425E893ED1CEB49F225|/|sources,84.52.174.5:50010|/
Code: [Select]
ed2k://|file|aMule-CVS-debug-20080607-1mdv2008.1.x86_64.rpm|32650318|045F418B224AC962021EBBC20E45D14A|/|sources,84.52.174.5:50010|/
Title: Re: CVS Package for Mandriva 2008.0
Post by: Tsiolkovsky on June 12, 2008, 04:54:49 PM
So it looks like the final version of aMule 2.2.1 is out. Time to clean up the spec file and do a release for Mandriva Linux. Unfortunately I don't know much about spec files to do it myself (I don't want to break it) but I can use it to build the packages for 64-bit Mandriva 2008.1 Spring. I can also build 32-bit ones if I visit my friend (no 32-bit versions on any of my computers anymore).
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on July 01, 2008, 04:21:44 PM
Tsiolkowsky, I posted the generic spec file for 2.2.1 in the release forum. Just use it.


Beside that, from this morning we get a new dependancy against libupnp >= 1.6.6 (See this post (http://forum.amule.org/index.php?topic=15360.0)).

Mandriva 2008.1 supports only 1.6.3 (Who really needs the extra bug fixes !!!).


So I created an rpm for libupnp-1.6.6 using a src rpm from Cooker (Meeans it respects Mandriva recommandations). if you are not on i86, You just need to rebuild the src.rpm for your architecure. rpmbuild --rebuild xxxx.src.rpm

The rpms for libupnp are here (http://www.oldfrog.info/Linux/RPMs/)

I uploaded a version of today's CVS here (http://www.oldfrog.info/Linux/aMule/mydir.php)

Hope this helps.
Title: Re: CVS Package for Mandriva 2008.0
Post by: OldFrog on November 23, 2008, 02:59:24 PM
Changed provider, so everyrthing related to aMule and Mandriva 2008.1 is now  stored here (http://oldfrog.free.fr/linux/aMule/RPMs%20pour%20aMule/)

I have added a package for the latest SVN tarball (9187 (http://oldfrog.free.fr/linux/aMule/RPMs%20pour%20aMule/aMule-SVN-r9187-mdv81.i586.rpm)), plus the template spec file (http://oldfrog.free.fr/linux/aMule/RPMs%20pour%20aMule/aMule-CVSs.spec) and the shell to download, compile ad create RPM (http://oldfrog.free.fr/linux/aMule/RPMs%20pour%20aMule/faicvs).

For instance, to create the rpm for r9188, just run faicvs 9188.